Package org.lwjgl.util.vector

# Interface WritableVector4f

All Superinterfaces:
  `WritableVector2f`, `WritableVector3f`

All Known Implementing Classes:
  `Vector4f`

public interface WritableVector4f extends WritableVector3f
Writable interface to Vector4fs

Version:
  $revision$ $Id$
Author:
  $author$

## Method Summary

Modifier and Type
Method
Description
`void`
`set(float x, float y, float z, float w)`
Set the X,Y,Z,W values
`void`
`setW(float w)`
Set the W value

### Methods inherited from interface org.lwjgl.util.vector.WritableVector2f

`set, setX, setY`

### Methods inherited from interface org.lwjgl.util.vector.WritableVector3f

`set, setZ`

## Method Details

### setW

void setW(float w)
Set the W value

Parameters:
  `w` -

### set

void set(float x, float y, float z, float w)
Set the X,Y,Z,W values

Parameters:
  `x` -
  `y` -
  `z` -
  `w` -